POST api/MESetting/SaveComponentAuthorizeText
Request Information
URI Parameters
None.
Body Parameters
CorporationExamComponentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ExamId | string |
String length: inclusive between 0 and 20 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| ComponentId | integer |
None. |
|
| Sequence | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 50 |
|
| Type | integer |
None. |
|
| IsStandard | boolean |
None. |
|
| AuthorizeText | string |
String length: inclusive between 0 and 4000 |
|
| CustomAuthorizeText | string |
String length: inclusive between 0 and 4000 |
|
| IsExcludeDiscount | boolean |
None. |
|
| CorporationComponentCertificate | CorporationComponentCertificateDTO |
None. |
|
| IsCosStandardExam | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ExamId": "sample string 2",
"CorporationCode": "sample string 3",
"ComponentId": 4,
"Sequence": 5,
"Name": "sample string 6",
"Type": 7,
"IsStandard": true,
"AuthorizeText": "sample string 9",
"CustomAuthorizeText": "sample string 10",
"IsExcludeDiscount": true,
"CorporationComponentCertificate": {
"Id": 1,
"CorporationCode": "sample string 2",
"CustomTemplate": "sample string 3",
"ComponentCertificateId": 4,
"CertificateName": "sample string 5",
"IsCustomTemplate": true,
"CustomTemplateType": "sample string 7",
"ExamId": "sample string 8",
"ExamName": "sample string 9",
"MessageTemplate": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:38.804085-07:00",
"DateUpdated": "2026-06-20T12:44:38.804085-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
"IsCosStandardExam": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:38.804085-07:00",
"DateUpdated": "2026-06-20T12:44:38.804085-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCorporationExamComponentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CorporationExamComponentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ExamId": "sample string 2",
"CorporationCode": "sample string 3",
"ComponentId": 4,
"Sequence": 5,
"Name": "sample string 6",
"Type": 7,
"IsStandard": true,
"AuthorizeText": "sample string 9",
"CustomAuthorizeText": "sample string 10",
"IsExcludeDiscount": true,
"CorporationComponentCertificate": {
"Id": 1,
"CorporationCode": "sample string 2",
"CustomTemplate": "sample string 3",
"ComponentCertificateId": 4,
"CertificateName": "sample string 5",
"IsCustomTemplate": true,
"CustomTemplateType": "sample string 7",
"ExamId": "sample string 8",
"ExamName": "sample string 9",
"MessageTemplate": "sample string 10",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:38.8210268-07:00",
"DateUpdated": "2026-06-20T12:44:38.8210268-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
"IsCosStandardExam": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:44:38.8210268-07:00",
"DateUpdated": "2026-06-20T12:44:38.8210268-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16
},
"totalCount": 3
}